{
  "format_version": "1.13.0",
  "minecraft:ore_feature": {
    "description": {
      "identifier": "nicothekid:patch_underground_x_dead_coral_x_horn_x_ore"
    },
    "count": 20,
    "replace_rules": [
      {
        "places_block": {
          "name": "minecraft:coral_block",
          "states": {
            "coral_color": "yellow",
            "dead_bit": true
          }
        },
        "may_replace": [
          "minecraft:clay",
          "minecraft:cobblestone",
          "minecraft:deepslate",
          "minecraft:dirt",
          "minecraft:dirt_with_roots",
          "minecraft:gravel",
          "minecraft:moss_block",
          "minecraft:mossy_cobblestone",
          {
            "name": "minecraft:stone",
            "states": {
              "stone_type": "stone"
            }
          },
          {
            "name": "minecraft:stone",
            "states": {
              "stone_type": "andesite"
            }
          },
          {
            "name": "minecraft:stone",
            "states": {
              "stone_type": "diorite"
            }
          },
          {
            "name": "minecraft:stone",
            "states": {
              "stone_type": "granite"
            }
          },
          "minecraft:tuff"
        ]
      }
    ]
  }
}